Page 2 of 3

Re: Zimbra for Ubuntu 18.04 ?

Posted: Fri Jan 11, 2019 6:47 am
by phoenix
axslingr wrote:Think about it all you want; just don't do it! :-)
I'd second that comment, never do an in place distribution upgrade if you want an easy life.

Re: Zimbra for Ubuntu 18.04 ?

Posted: Fri Jan 11, 2019 8:56 am
by DualBoot
Hello

From my point of view and from my experience : with Ubuntu you can do in place upgrade.
It works and you can earn a lot of time in some cases. And in my opinion there will be a cross
OS version of Zimbra, to ease an upgrade.

My2Cents

Re: Zimbra for Ubuntu 18.04 ?

Posted: Sat Jan 19, 2019 1:09 am
by Jordack
Is there any reason to upgrade to 18.04? Or is it just because you want the new shinny truck for the drive way?

Do not confuse my bluntness with rudeness. There are a few features in 18.04 I would like to use, but in the end I would prefer a mature stable solution that still supported.

Re: Zimbra for Ubuntu 18.04 ?

Posted: Sat Jan 26, 2019 11:21 pm
by joebitcoinorg
Someone asked why would somebody want to upgrade from Ubuntu 16.04 to Ubuntu 18.04...

I'll try to answer this question...

Systems can suffer from lack of administration maintenance. It's possible for these mail servers to run for a very long time after your last maintenance work on the system. So it's nice to know the operating system you're running on top of will have updates available for as long as possible to give the organization buffer time to find competent replacement administrators.

So - how about some sort of announcement regarding whether Ubuntu is being dropped or not. If you are going to be developing Zimbra for Ubuntu LTS, then Zimbra should be performing test builds during the pre-release phase of Ubuntu LTS releases.

And yes, it's no fun do have an unexpected release upgrade of Ubuntu underneath a Zimbra install. A really rude awakening. It can happen and did happen to me when another junior admin answered yes to a LTS distribution upgrade query. Fortunately when this happened we moved from 14.04 to 16.04 and there already WAS a Zimbra build for Ubuntu 16.04 that I could install over the present broken installation.

I like Ubuntu for server deployments I like Zimbra too. I prefer to use Zimbra on Ubuntu. I'd like to know what the future has to hold for Zimbra on Ubuntu.

Re: Zimbra for Ubuntu 18.04 ?

Posted: Sat Mar 16, 2019 9:17 pm
by colt
I find the most irritating thing about no Ubuntu 18.04 release is this:

1) so many people have problems with OS upgrades, and Zimbra is fully aware of this;

2) Ubuntu 16.04 is 60% through its LTS, with just 2 years left;

3) Ubuntu 18.04 has a FULL 9 YEARS of LTS support left (yes, Canonical has committed to 10 years for this version); and

4) Zimbra is completely wasting this opportunity to take a major headache (OS upgrades) off the table for any new installs.

It would be so very nice to hear ANYTHING from Zimbra on why 18.04 is not being prioritized to take advantage of its unique Canonical support.

Re: Zimbra for Ubuntu 18.04 ?

Posted: Tue Mar 19, 2019 2:20 pm
by powrrrplay
Hello

I must add +1 to Colt and a like.

Re: Zimbra for Ubuntu 18.04 ?

Posted: Wed Apr 03, 2019 12:49 pm
by maxxer
8.8.12 released few days ago has Ubuntu18 support.

anyone had the chance to give it a try?

Re: Zimbra for Ubuntu 18.04 ?

Posted: Wed Apr 03, 2019 1:00 pm
by NetRaider
maxxer wrote:8.8.12 released few days ago has Ubuntu18 support.

anyone had the chance to give it a try?
I tried. I made new installation on Ubuntu with all updates and upgrades. But got logger configuration error during installation process. And broken monitoring section in administration console.

Re: Zimbra for Ubuntu 18.04 ?

Posted: Wed Apr 03, 2019 1:35 pm
by maxxer
NetRaider wrote:I tried. I made new installation on Ubuntu with all updates and upgrades. But got logger configuration error during installation process. And broken monitoring section in administration console.


thanks for the feedback! did you file bugs to bugzilla or open support request?

Re: Zimbra for Ubuntu 18.04 ?

Posted: Wed Apr 03, 2019 8:34 pm
by axslingr
Definitely some logger issues with it. This is what I'm seeing during installation:

Code: Select all

Wed Apr  3 14:40:40 2019 *** Running as root user: /opt/zimbra/libexec/zmsyslogsetup
Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/(^destination mail { <-- HERE  file\("/var/log/mail"\); };)/ at /opt/zimbra/libexec/zmsyslogsetup line 190.
Wed Apr  3 14:40:40 2019 Failed


Line 190 in zmsyslogsetup looks like this:

Code: Select all

s|(^destination mail { file\("/var/log/mail"\); };)|#$1|;


The whole section around that line looks like this, so it seems like a typo:

Code: Select all

    while (<>) {
      s/(^destination mailinfo.*)/#$1/;
      s/(^log.*f_mailinfo)/#$1/;
      s/(^destination mailwarn.*)/#$1/;
      s/(^log.*f_mailwarn)/#$1/;
      s/(^destination mailerr.*)/#$1/;
      s/(^log.*f_mailerr)/#$1/;
      s|(^destination mail { file\("/var/log/mail"\); };)|#$1|;
      s/(^log.*filter\(f_mail\); destination\(mail\); };)/#$1/;
      print;
    }
  };


What should line 190 look like? I'm no programmer! :-)

Lance